com.impinj.stp

## Enum StpApi.ErrorCode

- java.lang.Object
- - java.lang.Enum<StpApi.ErrorCode>
  - - com.impinj.stp.StpApi.ErrorCode

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, java.io.Serializable, java.lang.Comparable<StpApi.ErrorCode>
  Enclosing class:
    StpApi

      public static enum StpApi.ErrorCode
      extends java.lang.Enum<StpApi.ErrorCode>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `Impinj.STP.ErrorCode`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR_CODE_COMMAND_REFUSED` State machine cannot accept the command at this time
    `ERROR_CODE_FIRMWARE_INVALID`
    `ERROR_CODE_INVALID_ADDRESS`
    `ERROR_CODE_INVALID_COMMAND`
    `ERROR_CODE_INVALID_GET_KEY`
    `ERROR_CODE_INVALID_SET_KEY`
    `ERROR_CODE_INVALID_VALUE` Generic for a value in a specific command or a SET command
    `ERROR_CODE_NETWORK_INIT` Failure when initializing the device network connection.
    `ERROR_CODE_NO_DEVICE_CONNECTION`
    `ERROR_CODE_NO_HANDSHAKE`
    `ERROR_CODE_SET_KEY_READ_ONLY`
    `ERROR_CODE_SUCCESS`
    `ERROR_CODE_UNSUPPORTED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERROR_CODE_COMMAND_REFUSED_VALUE` State machine cannot accept the command at this time
    `static int` | `ERROR_CODE_FIRMWARE_INVALID_VALUE`
    `static int` | `ERROR_CODE_INVALID_ADDRESS_VALUE`
    `static int` | `ERROR_CODE_INVALID_COMMAND_VALUE`
    `static int` | `ERROR_CODE_INVALID_GET_KEY_VALUE`
    `static int` | `ERROR_CODE_INVALID_SET_KEY_VALUE`
    `static int` | `ERROR_CODE_INVALID_VALUE_VALUE` Generic for a value in a specific command or a SET command
    `static int` | `ERROR_CODE_NETWORK_INIT_VALUE` Failure when initializing the device network connection.
    `static int` | `ERROR_CODE_NO_DEVICE_CONNECTION_VALUE`
    `static int` | `ERROR_CODE_NO_HANDSHAKE_VALUE`
    `static int` | `ERROR_CODE_SET_KEY_READ_ONLY_VALUE`
    `static int` | `ERROR_CODE_SUCCESS_VALUE`
    `static int` | `ERROR_CODE_UNSUPPORTED_VALUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<StpApi.ErrorCode>` | `internalGetValueMap()`
    `static StpApi.ErrorCode` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static StpApi.ErrorCode` | `valueOf(int value)`
    `static StpApi.ErrorCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StpApi.ErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR_CODE_SUCCESS

          public static final StpApi.ErrorCode ERROR_CODE_SUCCESS

    - #### ERROR_CODE_INVALID_COMMAND

          public static final StpApi.ErrorCode ERROR_CODE_INVALID_COMMAND

    - #### ERROR_CODE_INVALID_SET_KEY

          public static final StpApi.ErrorCode ERROR_CODE_INVALID_SET_KEY

    - #### ERROR_CODE_INVALID_GET_KEY

          public static final StpApi.ErrorCode ERROR_CODE_INVALID_GET_KEY

    - #### ERROR_CODE_INVALID_ADDRESS

          public static final StpApi.ErrorCode ERROR_CODE_INVALID_ADDRESS

    - #### ERROR_CODE_INVALID_VALUE

          public static final StpApi.ErrorCode ERROR_CODE_INVALID_VALUE

      Generic for a value in a specific command or a SET command

    - #### ERROR_CODE_FIRMWARE_INVALID

          public static final StpApi.ErrorCode ERROR_CODE_FIRMWARE_INVALID

    - #### ERROR_CODE_COMMAND_REFUSED

          public static final StpApi.ErrorCode ERROR_CODE_COMMAND_REFUSED

      State machine cannot accept the command at this time

    - #### ERROR_CODE_SET_KEY_READ_ONLY

          public static final StpApi.ErrorCode ERROR_CODE_SET_KEY_READ_ONLY

    - #### ERROR_CODE_NO_HANDSHAKE

          public static final StpApi.ErrorCode ERROR_CODE_NO_HANDSHAKE

    - #### ERROR_CODE_NO_DEVICE_CONNECTION

          public static final StpApi.ErrorCode ERROR_CODE_NO_DEVICE_CONNECTION

    - #### ERROR_CODE_UNSUPPORTED

          public static final StpApi.ErrorCode ERROR_CODE_UNSUPPORTED

    - #### ERROR_CODE_NETWORK_INIT

          public static final StpApi.ErrorCode ERROR_CODE_NETWORK_INIT

      Failure when initializing the device network connection.

  - ### Field Detail

    - #### ERROR_CODE_SUCCESS_VALUE

          public static final int ERROR_CODE_SUCCESS_VALUE

      See Also:
        Constant Field Values

    - #### ERROR_CODE_INVALID_COMMAND_VALUE

          public static final int ERROR_CODE_INVALID_COMMAND_VALUE

      See Also:
        Constant Field Values

    - #### ERROR_CODE_INVALID_SET_KEY_VALUE

          public static final int ERROR_CODE_INVALID_SET_KEY_VALUE

      See Also:
        Constant Field Values

    - #### ERROR_CODE_INVALID_GET_KEY_VALUE

          public static final int ERROR_CODE_INVALID_GET_KEY_VALUE

      See Also:
        Constant Field Values

    - #### ERROR_CODE_INVALID_ADDRESS_VALUE

          public static final int ERROR_CODE_INVALID_ADDRESS_VALUE

      See Also:
        Constant Field Values

    - #### ERROR_CODE_INVALID_VALUE_VALUE

          public static final int ERROR_CODE_INVALID_VALUE_VALUE

      Generic for a value in a specific command or a SET command
      See Also:
        Constant Field Values

    - #### ERROR_CODE_FIRMWARE_INVALID_VALUE

          public static final int ERROR_CODE_FIRMWARE_INVALID_VALUE

      See Also:
        Constant Field Values

    - #### ERROR_CODE_COMMAND_REFUSED_VALUE

          public static final int ERROR_CODE_COMMAND_REFUSED_VALUE

      State machine cannot accept the command at this time
      See Also:
        Constant Field Values

    - #### ERROR_CODE_SET_KEY_READ_ONLY_VALUE

          public static final int ERROR_CODE_SET_KEY_READ_ONLY_VALUE

      See Also:
        Constant Field Values

    - #### ERROR_CODE_NO_HANDSHAKE_VALUE

          public static final int ERROR_CODE_NO_HANDSHAKE_VALUE

      See Also:
        Constant Field Values

    - #### ERROR_CODE_NO_DEVICE_CONNECTION_VALUE

          public static final int ERROR_CODE_NO_DEVICE_CONNECTION_VALUE

      See Also:
        Constant Field Values

    - #### ERROR_CODE_UNSUPPORTED_VALUE

          public static final int ERROR_CODE_UNSUPPORTED_VALUE

      See Also:
        Constant Field Values

    - #### ERROR_CODE_NETWORK_INIT_VALUE

          public static final int ERROR_CODE_NETWORK_INIT_VALUE

      Failure when initializing the device network connection.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static StpApi.ErrorCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StpApi.ErrorCode c : StpApi.ErrorCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StpApi.ErrorCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static StpApi.ErrorCode valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<StpApi.ErrorCode> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static StpApi.ErrorCode valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)